import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ChildOrganizationConfig extends cdktf.TerraformMetaArguments {
    /**
    * Name for Child Organization after creation.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/child_organization#name ChildOrganization#name}
    */
    readonly name: string;
}
export declare class ChildOrganizationApiKey extends cdktf.ComplexComputedList {
    get key(): string;
    get name(): string;
}
export declare class ChildOrganizationApplicationKey extends cdktf.ComplexComputedList {
    get hash(): string;
    get name(): string;
    get owner(): string;
}
export declare class ChildOrganizationSettingsSaml extends cdktf.ComplexComputedList {
    get enabled(): cdktf.IResolvable;
}
export declare class ChildOrganizationSettingsSamlAutocreateUsersDomains extends cdktf.ComplexComputedList {
    get domains(): string[];
    get enabled(): cdktf.IResolvable;
}
export declare class ChildOrganizationSettingsSamlIdpInitiatedLogin extends cdktf.ComplexComputedList {
    get enabled(): cdktf.IResolvable;
}
export declare class ChildOrganizationSettingsSamlStrictMode extends cdktf.ComplexComputedList {
    get enabled(): cdktf.IResolvable;
}
export declare class ChildOrganizationSettings extends cdktf.ComplexComputedList {
    get privateWidgetShare(): cdktf.IResolvable;
    get saml(): cdktf.IResolvable;
    get samlAutocreateAccessRole(): string;
    get samlAutocreateUsersDomains(): cdktf.IResolvable;
    get samlCanBeEnabled(): cdktf.IResolvable;
    get samlIdpEndpoint(): string;
    get samlIdpInitiatedLogin(): cdktf.IResolvable;
    get samlIdpMetadataUploaded(): cdktf.IResolvable;
    get samlLoginUrl(): string;
    get samlStrictMode(): cdktf.IResolvable;
}
export declare class ChildOrganizationUser extends cdktf.ComplexComputedList {
    get accessRole(): string;
    get email(): string;
    get name(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/datadog/r/child_organization datadog_child_organization}
*/
export declare class ChildOrganization extends cdktf.TerraformResource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/datadog/r/child_organization datadog_child_organization} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options ChildOrganizationConfig
    */
    constructor(scope: Construct, id: string, config: ChildOrganizationConfig);
    apiKey(index: string): ChildOrganizationApiKey;
    applicationKey(index: string): ChildOrganizationApplicationKey;
    get description(): string;
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    get publicId(): string;
    settings(index: string): ChildOrganizationSettings;
    user(index: string): ChildOrganizationUser;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
