import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDatadogSecurityMonitoringRulesConfig extends cdktf.TerraformMetaArguments {
    /**
    * Limit the search to default rules
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/d/security_monitoring_rules#default_only_filter DataDatadogSecurityMonitoringRules#default_only_filter}
    */
    readonly defaultOnlyFilter?: boolean | cdktf.IResolvable;
    /**
    * A rule name to limit the search
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/d/security_monitoring_rules#name_filter DataDatadogSecurityMonitoringRules#name_filter}
    */
    readonly nameFilter?: string;
    /**
    * A list of tags to limit the search
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/d/security_monitoring_rules#tags_filter DataDatadogSecurityMonitoringRules#tags_filter}
    */
    readonly tagsFilter?: string[];
    /**
    * Limit the search to user rules
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/d/security_monitoring_rules#user_only_filter DataDatadogSecurityMonitoringRules#user_only_filter}
    */
    readonly userOnlyFilter?: boolean | cdktf.IResolvable;
}
export declare class DataDatadogSecurityMonitoringRulesRulesCase extends cdktf.ComplexComputedList {
    get condition(): string;
    get name(): string;
    get notifications(): string[];
    get status(): string;
}
export declare class DataDatadogSecurityMonitoringRulesRulesFilter extends cdktf.ComplexComputedList {
    get action(): string;
    get query(): string;
}
export declare class DataDatadogSecurityMonitoringRulesRulesOptionsNewValueOptions extends cdktf.ComplexComputedList {
    get forgetAfter(): number;
    get learningDuration(): number;
}
export declare class DataDatadogSecurityMonitoringRulesRulesOptions extends cdktf.ComplexComputedList {
    get detectionMethod(): string;
    get evaluationWindow(): number;
    get keepAlive(): number;
    get maxSignalDuration(): number;
    get newValueOptions(): cdktf.IResolvable;
}
export declare class DataDatadogSecurityMonitoringRulesRulesQueryAgentRule extends cdktf.ComplexComputedList {
    get agentRuleId(): string;
    get expression(): string;
}
export declare class DataDatadogSecurityMonitoringRulesRulesQuery extends cdktf.ComplexComputedList {
    get agentRule(): cdktf.IResolvable;
    get aggregation(): string;
    get distinctFields(): string[];
    get groupByFields(): string[];
    get metric(): string;
    get name(): string;
    get query(): string;
}
export declare class DataDatadogSecurityMonitoringRulesRules extends cdktf.ComplexComputedList {
    get case(): cdktf.IResolvable;
    get enabled(): cdktf.IResolvable;
    get filter(): cdktf.IResolvable;
    get hasExtendedTitle(): cdktf.IResolvable;
    get message(): string;
    get name(): string;
    get options(): cdktf.IResolvable;
    get query(): cdktf.IResolvable;
    get tags(): string[];
    get type(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/datadog/d/security_monitoring_rules datadog_security_monitoring_rules}
*/
export declare class DataDatadogSecurityMonitoringRules extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/datadog/d/security_monitoring_rules datadog_security_monitoring_rules} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDatadogSecurityMonitoringRulesConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataDatadogSecurityMonitoringRulesConfig);
    private _defaultOnlyFilter?;
    get defaultOnlyFilter(): boolean | cdktf.IResolvable;
    set defaultOnlyFilter(value: boolean | cdktf.IResolvable);
    resetDefaultOnlyFilter(): void;
    get defaultOnlyFilterInput(): boolean | cdktf.IResolvable | undefined;
    get id(): string;
    private _nameFilter?;
    get nameFilter(): string;
    set nameFilter(value: string);
    resetNameFilter(): void;
    get nameFilterInput(): string | undefined;
    get ruleIds(): string[];
    rules(index: string): DataDatadogSecurityMonitoringRulesRules;
    private _tagsFilter?;
    get tagsFilter(): string[];
    set tagsFilter(value: string[]);
    resetTagsFilter(): void;
    get tagsFilterInput(): string[] | undefined;
    private _userOnlyFilter?;
    get userOnlyFilter(): boolean | cdktf.IResolvable;
    set userOnlyFilter(value: boolean | cdktf.IResolvable);
    resetUserOnlyFilter(): void;
    get userOnlyFilterInput(): boolean | cdktf.IResolvable | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
